Skip to main content
GET
/
v1
/
products
/
imports
List product imports
curl --request GET \
  --url https://api.algure.com/v1/products/imports \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "total": 123,
      "totalCreated": 123,
      "totalErrors": 123,
      "integration": {
        "name": "<string>"
      }
    }
  ],
  "meta": {
    "links": {
      "self": {
        "href": "<string>"
      },
      "first": {
        "href": "<string>"
      },
      "next": {
        "href": "<string>"
      }
    },
    "total": 123,
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use Integration API credentials as HTTP Basic auth (username: client id, password: client secret).

Query Parameters

limit
number

Maximum number of objects to return. Allowed range: 1–100. Default is 10.

cursor
string

Pagination cursor indicating a position in the list.

createdBefore
string

List product imports created before a specific datetime (ISO 8601)

createdAfter
string

List product imports created after a specific datetime (ISO 8601)

Response

200 - application/json

Product imports list

items
object[]
required
meta
object
required